[Yum-devel] multilib preference patch

seth vidal skvidal at fedoraproject.org
Wed Jan 30 14:14:31 UTC 2008


On Wed, 2008-01-30 at 11:18 +0100, Terje Røsten wrote:
> > With the help of Tim and James A. I have a patch which lets the user
> > select what will happen when they are on a multilib arch and they do an:
> > install foo or install foo* as to which archs it will install by
> > default.
> > 
> > the config parameter is multilib_policy and it's options are best and
> > all.
> 
> I want some more options :-)
> 
> Consider this:
> 
> foo-1.0-1.x86_64 installed, a update is coming in: foo-2.0-1. 
> However it's _only_ available as foo.i386.
> 
> What should yum do?

Get another distribution is what you should do.

if any distro you use changes binary-lib-type on an update you need to
hit someone in the head with something heavy.

-sv





More information about the Yum-devel mailing list